<?php

/**
 * Message translations.
 *
 * This file is automatically generated by 'yiic message' command.
 * It contains the localizable messages extracted from source code.
 * You may modify this file by translating the extracted messages.
 *
 * Each array element represents the translation (value) of a message (key).
 * If the value is empty, the message is considered as not translated.
 *
 * NOTE, this file must be saved in UTF-8 encoding.
 *
 * @version $Id: $
 */
return array(
	'A role is group of permissions to perform a variety of tasks and operations, for example the authenticated user.' => '',
	'A task is a permission to perform multiple operations, for example accessing a group of controller action.' => '',
	'An operation is a permission to perform a single operation, for example accessing a certain controller action.' => '',
	'Authorization items can be managed under {roleLink}, {taskLink} and {operationLink}.' => '',
	'Cancel' => '',
	'Generate items' => '',
	'Generate items for controller actions' => '',
	'Here you can view and manage the permissions assigned to each role.' => '',
	'Here you can view which permissions has been assigned to each user.' => '',
	'Operations exist below tasks in the authorization hierarchy and can therefore only inherit from other operations.' => '',
	'Permission :name assigned.' => '',
	'Permission :name revoked.' => '',
	'Roles exist at the top of the authorization hierarchy and can therefore inherit from other roles, tasks and/or operations.' => '',
	'Source' => '',
	'Tasks exist below roles in the authorization hierarchy and can therefore only inherit from other tasks and/or operations.' => '',
	'There must be at least one superuser!' => '',
	'Update :name' => '',
	':name created.' => ':name luotu.',
	':name deleted.' => ':name poistettu.',
	':name updated.' => ':name päivitetty.',
	'A descriptive name for this item.' => 'Kuvaava nimi tälle elementille.',
	'Add' => 'Lisää',
	'Add Child' => 'Lisää Lapsi',
	'Additional data available when executing the business rule.' => 'Lisä dataa joka on saatavilla kun business sääntöä suoritetaan.',
	'An item with this name already exists.' => 'Nimi on jo käytössä.',
	'Application' => 'Sovellus',
	'Are you sure you want to delete this operation?' => 'Oletko varma että haluat poistaa tämän operaation?',
	'Are you sure you want to delete this role?' => 'Oletko varma että haluat poistaa tämän roolin?',
	'Are you sure you want to delete this task?' => 'Oletko varma että haluat poistaa tämän tehtävän?',
	'Assign' => 'Myönnä',
	'Assign item' => 'Myönnä toimeksianto',
	'Assignments' => 'Toimeksiannot',
	'Assignments for :username' => 'Käyttäjän :username toimeksiannot',
	'Authorization item' => 'Auktorisointi elementti',
	'Authorization items created.' => 'Auktorisointi elementit luotu.',
	'Business rule' => 'Business sääntö',
	'Business rule cannot be empty.' => 'Business sääntö ei voi olla tyhjä',
	'Child :name added.' => 'Lapsi :name lisätty.',
	'Child :name removed.' => 'Lapsi :name poistettu.',
	'Children' => 'Lapset',
	'Code that will be executed when performing access checking.' => 'Koodi joka suoritetaan kun oikeuksia tarkistetaan.',
	'Create :type' => 'Luo :type',
	'Create a new operation' => 'Luo operaatio',
	'Create a new role' => 'Luo rooli',
	'Create a new task' => 'Luo tehtävä',
	'Data' => 'Data',
	'Delete' => 'Poista',
	'Description' => 'Kuvaus',
	'Do not change the name unless you know what you are doing.' => 'Älä muuta nimeä ellet ole aivan varma mitä olet tekemässä.',
	'Generate' => 'Generoi',
	'Hover to see from where the permission is inherited.' => 'Vie hiiren kursori päälle nähdäksesi mistä oikeus on peritty.',
	'Inherited' => 'Peritty',
	'Invalid authorization item type.' => 'Virheellinen auktorisointi elementti tyyppi.',
	'Invalid request. Please do not repeat this request again.' => 'Virheellinen pyyntö. Älä toista tätä pyyntöä.',
	'Item' => 'Elementti',
	'Modules' => 'Moduulit',
	'Name' => 'Nimi',
	'Name of the superuser cannot be changed.' => 'Ylikäyttäjän nimeä ei voi vaihtaa.',
	'No actions found.' => 'Yhtään toimintoa ei löytynyt.',
	'No assignments available to be assigned to this user.' => 'Tälle käyttäjälle ei ole',
	'No authorization items found.' => 'Yhtään auktorisointi elementtiä ei löytynyt.',
	'No children available to be added to this item.' => 'Tälle elementille ei ole lisätty yhtään lasta.',
	'No operations found.' => 'Yhtään operaatiota ei löytynyt.',
	'No relations need to be set for the superuser role.' => 'Yhteyksiä ei tarvitse määrittää ylikäyttäjä-roolille.',
	'No roles found.' => 'Yhtään roolia ei löytynyt.',
	'No tasks found.' => 'Yhtään tehtävää ei löytynyt.',
	'No users found.' => 'Yhtään käyttäjää ei löytynyt.',
	'Operation' => 'Operaatio',
	'Operations' => 'Operaatiot',
	'Parents' => 'Vanhemmat',
	'Permissions' => 'Oikeudet',
	'Please select which items you wish to generate.' => 'Ole hyvä ja valitse mitkä kohteet haluat luoda.',
	'Relations' => 'Yhteydet',
	'Remove' => 'Poista',
	'Revoke' => 'Evää',
	'Role' => 'Rooli',
	'Roles' => 'Roolit',
	'Save' => 'Tallenna',
	'Select all' => 'Valitse kaikki',
	'Select none' => 'Poista valinnat',
	'Super users are always granted access implicitly.' => 'Ylikäyttäjille myönnetään aina pääsy ehdotta.',
	'Task' => 'Tehtävä',
	'Tasks' => 'Tehtävät',
	'The requested page does not exist.' => 'Pyydettyä sivua ei ole olemassa.',
	'This item has no children.' => 'Tällä kohteella ei ole yhtään lasta.',
	'This item has no parents.' => 'Tällä kohteella ei ole yhtään vanhempaa.',
	'This user has not been assigned any items.' => 'Tälle käyttäjälle ei ole myönnetty yhtään toimeksiantoa.',
	'Type' => 'Tyyppi',
	'Values within square brackets tell how many children each item has.' => 'Hakasuluissa olevat luvut kertovat monta lasta kullakin kohteella on.',
	'You are not authorized to perform this action.' => 'Et ole oikeutettu suorittamaan tätä toimintoa.',
);
